(* Copyright (c) 2003 Michal Moskal <malekith@pld-linux.org>
   Licensed under the Academic Free License version 2.0 *)
type macro =
  | Simple_macro of string
  | Param_macro of string
  | Simple_callback of (unit -> string)
  | Param_callback of (string -> string)
  
val add : ?local:bool -> string -> macro -> unit
val add_macro : ?local:bool -> string -> string -> unit
val init_macros : unit -> unit
val get : string -> macro
val defined : string -> bool
val push_ctx : string list -> unit
val pop_ctx : unit -> unit
val is_global_ctx : unit -> bool
