(* Copyright (c) 2003 Michal Moskal <malekith@pld-linux.org>
   Licensed under the Academic Free License version 2.0 *)
let backticks cmd =
  let (inch, outch) = Unix.open_process cmd in
  (* No input to command. *)
  close_out outch;
  let buf = Buffer.create 500 in
  let rec loop did =
    let line = input_line inch in
    if did then Buffer.add_char buf '\n' else ();
    Buffer.add_string buf line;
    loop true
  in
  begin try loop false with End_of_file -> () end; 
  Buffer.contents buf
